package model

type QQBot struct {
	Id     string `xorm:"NOT NULL VARCHAR(255) pk"`
	QQ     string `xorm:"NOT NULL VARCHAR(255) 'qq'"`
	Addr   string `xorm:"NOT NULL  VARCHAR(255)"`
	Secret string `xorm:"NOT NULL VARCHAR(255)"`
	Active bool   `xorm:"NOT NULL BIT(1)"`
}

func (b QQBot) TableName() string {
	return "qq_bot"
}
